#pragma once 
#include "us_state_report_generator.h"

namespace Xport_report_suite
{
  class regional_state_capital_report_generator;
}

class Xport_report_suite::regional_state_capital_report_generator : public Xport_report_suite::us_state_report_generator
{
public:
  regional_state_capital_report_generator() {}
  ~regional_state_capital_report_generator() {}

private:
  virtual void create_header(document& doc) const;
  virtual void create_report_body(document& doc) const;
  virtual void create_footer(document& doc) const;
  virtual void create_stylesheet(document& doc, stylesheet& ss) const;
  virtual std::string report_dir() const { return "capital_reports"; }
  virtual std::string report_name() const { return "regional_state_capital_report"; }

  void create_table_header(element& tbl, int rgn) const;
  void create_region_table(element& tbl, int rgn) const;
  void create_table_heading(int rgn, element& container) const;
};


